Package csb :: Package core :: Class EnumMeta

[frames] | no frames]

# Type EnumMeta

source code

    object --+
             |
          type --+
                 |
                EnumMeta

Metaclass for enum types.

Instance Methods

__contains__(self, item) | source code

__iter__(self) | source code

__repr__(self) repr(x) | source code

__setattr__(self, attribute, value) x.__setattr__('name', value) <==> x.name = value | source code

__str__(self) str(x) | source code

Inherited from `type`: `__call__`, `__delattr__`, `__eq__`, `__ge__`, `__getattribute__`, `__gt__`, `__hash__`, `__init__`, `__instancecheck__`, `__le__`, `__lt__`, `__ne__`, `__subclasscheck__`, `__subclasses__`, `mro` Inherited from `object`: `__format__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Static Methods

a new object with type S, a subtype of T

__new__(cls, name, bases, items) | source code

Properties
Inherited from `type`: `__abstractmethods__`, `__base__`, `__bases__`, `__basicsize__`, `__dictoffset__`, `__flags__`, `__itemsize__`, `__mro__`, `__name__`, `__weakrefoffset__` Inherited from `object`: `__class__`

Method Details

### __new__(cls, name, bases, items)
Static Method

source code

Returns: a new object with type S, a subtype of T
Overrides: object.__new__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

### __setattr__(self, attribute, value)

source code

x.__setattr__('name', value) <==> x.name = value

Overrides: object.__setattr__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)